View Issue Details

IDProjectCategoryView StatusLast Update
00315532.x IDE BugsSprite EditorPublic2020-03-27 14:42
ReporterDanAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.5 
Target Version2.3.0Fixed in Version2.3.0 
Summary0031553: Sprite Editor: Unable to import specific .gif images, shows "String not found: YoYoImage_UnknownFileFormat" in Output Window
DescriptionAs you can see if you try to import the attached gif.gif file, the Sprite Editor is unable to import specific .gif images made with a currently-unknown editing package. Other .gif files load fine in GMS2, and you can see the problem image is able to load fine in other image viewers, so this might be an issue with recent versions of gif-editing software and GMS2.

There is no information on why the image was not able to be loaded, as nothing is logged, and the IDE also shows "String not found: YoYoImage_UnknownFileFormat" in the Output Window.

Expected 1 : If the image cannot be loaded, then the IDE should really say why (wrong bit rate, unsupported colour depth, etc...) so the user can try to fix without contacting us to investigate their image.

Expected 2: The missing Output Window text should be fixed / removed.
Steps To Reproduce1. Start GMS2 and create a new project.
2. Create a new sprite, then try to import the attached .gif file.
3. Observe GMS2 will show a dialog that the image could not be loaded (fine), but this dialog does not say why.
4. Observe the incorrect Output Window text.
Repro: 100%
TagsNo tags attached.
2.x IDE Found In2.2.5.481
2.x Runtime Found In2.2.5.378
2.x IDE Verified In
2.x Runtime Verified In

Relationships

related to 0031601 AssignedSteven Campbell Sprite Editor: Unable to import specific .png image, shows "String not found: YoYoImage_UnknownFileFormat" in Output Window 

Activities

Dan

2019-12-30 12:04

Adminstrator  

gif.gif (145,879 bytes)
gif.gif (145,879 bytes)
Screenshot_1.png (40,237 bytes)
Screenshot_1.png (40,237 bytes)

Dan

2020-03-26 16:47

Adminstrator   ~0065545

Has now been fixed ahead of 2.3.0

Dan

2020-03-27 14:41

Adminstrator   ~0065556

CB5